.fips_verify_inputs: &fips-verify-inputs
  job_stage: container-scanning
  allow_failure: true
  authenticate_registry: false

.fips_verify_component: &fips-verify-component
  component: gitlab.com/gitlab-org/cloud-native/container-dependencies-finder/rpm-verify-fips@main

include:
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: certificates
      container_image: ${CI_REGISTRY_IMAGE}/certificates:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: cfssl-self-sign
      container_image: ${CI_REGISTRY_IMAGE}/cfssl-self-sign:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitaly
      container_image: ${CI_REGISTRY_IMAGE}/gitaly:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-base
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-base:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-container-registry
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-container-registry:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-exporter
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-exporter:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-geo-logcursor
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-geo-logcursor:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-kas
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-kas:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-agentk
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-agentk:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-mailroom
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-mailroom:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-pages
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-pages:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-rails-ee
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-rails-ee:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-ruby
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-ruby:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-shell
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-shell:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-sidekiq-ee
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-sidekiq-ee:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-toolbox-ee
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-toolbox-ee:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-webservice-ee
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-webservice-ee:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: gitlab-workhorse-ee
      container_image: ${CI_REGISTRY_IMAGE}/gitlab-workhorse-ee:${CI_COMMIT_REF_SLUG}-fips
  - <<: *fips-verify-component
    inputs:
      <<: *fips-verify-inputs
      job_prefix: kubectl
      container_image: ${CI_REGISTRY_IMAGE}/kubectl:${CI_COMMIT_REF_SLUG}-fips
